Safestate
Distributor API

List distributor plans

GET
/api/v1/distributors/plans

Header Parameters

SW-DISTRIBUTOR-ID*string
SW-API-KEY*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/distributors/plans" \  -H "SW-DISTRIBUTOR-ID: string" \  -H "SW-API-KEY: string"
{
  "success": true,
  "data": [
    {
      "id": "11111111-1111-4111-8111-111111111111",
      "displayName": "SafeWeb Basic",
      "features": [
        {
          "feature_name": "dark-web-monitoring"
        }
      ],
      "isSystemDefault": true,
      "planType": "safeweb-basic",
      "status": "active",
      "allowsInsurance": false
    }
  ]
}
{
  "success": false,
  "error": "Internal server error"
}
{
  "success": false,
  "error": "Internal server error"
}
{
  "success": false,
  "error": "Internal server error"
}